Subject: [Simple] Query on connection sharing.

From: prasun bheri <[email-masked]>
Date: Mon, 12 Sep 2011 15:50:20 +0530

Hi,

I have a scenario where my MSRP implementation is used by multiple
applications simultaneously,

so it supports multiple AOR's (Address of Records).

in this case can two applications share the same tcp connection when
appropriate?

lets say

My app facilitates two AOR's A & B which are using same MSRP module.

now A is connected to client C (C is located in another system) and later B
wants to connect to C,

in this case can MSRP module share the existing tcp connection or should it
create a new tcp

connection between B and C?

[Assuming all three clients are using simple TCP connection with out any
security]

Thanks in advance

Prasun

---

From: Ben Campbell <[email-masked]>
Date: Mon, 12 Sep 2011 17:20:57 -0500

Hi Prasun,

See RFC4975, section 5.4, paragraph 1. If a second peer MSRP URI has the same scheme, and resolves to the same IP address and port, as for an existing session, then a user agent SHOULD reuse the the TCP connection for the second session.

Hope this helps!

Ben.

On Sep 12, 2011, at 5:20 AM, prasun bheri wrote:

> Hi,
> 
>  
> I have a scenario where my MSRP implementation is used by multiple applications simultaneously,
> 
> in this case can two applications share the same tcp connection when appropriate?
> 
> 
> 
> lets say
> 
> now A is connected to client C (C is located in another system) and later B wants to connect to C, 
> 
> in this case can MSRP module share the existing tcp connection or should it create a new tcp 
> 
> [Assuming all three clients are using simple TCP connection with out any security]
> 
> 
> 
> Thanks in advance
> 
> Prasun
> 
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/simple